require 'colorize'

def forge(uri)
  puts "Using forge #{uri}"
  $uri = uri
end

def mod(name, version=false)
  abort "You must specify a forge before declaring dependencies!" if $uri.nil?

  cmd = "puppet module install --module_repository #{$uri} #{name}"
  cmd += " --version #{version}" if version

  puts "Installing #{name}"
  abort 'Failed!'.red if not system(cmd)
end
